org.freeplane.plugin.script.proxy

## Interface Proxy.Link

- All Superinterfaces:
    Proxy.LinkRO
  Enclosing interface:
    Proxy

      public static interface Proxy.Link
      extends Proxy.LinkRO

  Node's link: `node.link` - read-write. To set links use the attributes of the `Proxy.Link` and `Proxy.LinkRO` object:

       // a normal href
       node.link.text = 'http://www.google.com'
       // create a node to the parent node
       node.link.node = node.parent
       // if you have a URI object
       node.link.uri = new URI('http://www.google.com')
       // file
       node.link.file = map.file

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `remove()` removes the link.
    `boolean` | `set(java.lang.String target)` Deprecated. since 1.2 - use `setText(String)` instead.
    `void` | `setFile(java.io.File file)` sets target to file.
    `void` | `setNode(Proxy.Node node)` target is a node of the same map.
    `void` | `setText(java.lang.String target)` target is a stringified URI.
    `void` | `setUri(java.net.URI uri)` sets target to uri.

    - ### Methods inherited from interface org.freeplane.plugin.script.proxy.Proxy.LinkRO

      `get, getFile, getNode, getText, getUri`

- - ### Method Detail

    - #### setText

          void setText(java.lang.String target)

      target is a stringified URI. Removes any link if uri is null. To get a local link (i.e. to another node) target should be: "#" + nodeId or better use setNode(Node).
      Throws:
        `java.lang.IllegalArgumentException` - if target is not convertible into a `URI`.
      Since:
        1.2

    - #### setUri

          void setUri(java.net.URI uri)

      sets target to uri. Removes any link if uri is null.
      Since:
        1.2

    - #### setFile

          void setFile(java.io.File file)

      sets target to file. Removes any link if file is null.
      Since:
        1.2

    - #### setNode

          void setNode(Proxy.Node node)

      target is a node of the same map. Shortcut for setTarget("#" + node.nodeId) Removes any link if node is null.
      Throws:
        `java.lang.IllegalArgumentException` - if node belongs to another map.
      Since:
        1.2

    - #### set

          boolean set(java.lang.String target)

      Deprecated. since 1.2 - use `setText(String)` instead.
      Returns:
        true if target could be converted to an URI and false otherwise.

    - #### remove

          boolean remove()

      removes the link. Same as `node.link.text = null`.
      Returns:
        `true` if there was a link to remove.
      Since:
        1.4